/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let DataToolTipLayerDescription = /*@__PURE__*/ (() => {
    class DataToolTipLayerDescription extends AnnotationLayerDescription {
        get_type() {
            return "DataToolTipLayer";
        }
        constructor() {
            super();
            this.j8 = null;
            this.fp = false;
            this.i9 = null;
            this.i5 = null;
            this.gj = 0;
            this.gk = 0;
            this.f3 = 0;
            this.f4 = 0;
            this.i7 = null;
            this.i3 = null;
            this.i8 = null;
            this.i4 = null;
            this.fo = false;
            this.ff = null;
            this.fc = null;
            this.fe = null;
            this.fb = null;
            this.kj = null;
            this.iz = 0;
            this.i0 = 0;
            this.kl = null;
            this.kk = null;
            this.fq = false;
            this.km = null;
            this.fg = null;
            this.g7 = 0;
            this.g8 = 0;
            this.g9 = 0;
            this.ha = 0;
            this.fr = false;
            this.kr = null;
            this.fs = false;
            this.hc = 0;
            this.hd = 0;
            this.he = 0;
            this.hf = 0;
            this.kn = null;
            this.ko = null;
            this.hb = 0;
            this.kp = null;
            this.kq = null;
            this.jc = null;
            this.fd = null;
            this.ja = null;
            this.jb = null;
            this.jd = null;
            this.je = null;
            this.jf = null;
            this.ga = 0;
            this.gb = 0;
            this.gc = 0;
            this.gd = 0;
            this.f5 = 0;
            this.f6 = 0;
            this.f7 = 0;
            this.f8 = 0;
            this.fn = false;
            this.jg = null;
            this.f9 = 0;
            this.jh = null;
            this.ji = null;
            this.ju = null;
            this.jv = null;
            this.gq = 0;
            this.jw = null;
            this.jx = null;
            this.jy = null;
            this.jt = null;
            this.gr = 0;
            this.gs = 0;
            this.gt = 0;
            this.gu = 0;
            this.gm = 0;
            this.gn = 0;
            this.go = 0;
            this.gp = 0;
            this.j4 = null;
            this.j5 = null;
            this.gw = 0;
            this.j6 = null;
            this.j7 = null;
            this.jo = null;
            this.jp = null;
            this.jq = null;
            this.gl = 0;
            this.jr = null;
            this.js = null;
            this.jz = null;
            this.j0 = null;
            this.j1 = null;
            this.gv = 0;
            this.j2 = null;
            this.j3 = null;
            this.fz = 0;
            this.f0 = 0;
            this.f1 = 0;
            this.f2 = 0;
            this.i6 = null;
            this.kd = null;
            this.ke = null;
            this.kf = null;
            this.g3 = 0;
            this.g4 = 0;
            this.g5 = 0;
            this.g6 = 0;
            this.kg = null;
            this.g2 = 0;
            this.kh = null;
            this.ki = null;
            this.gy = 0;
            this.gz = 0;
            this.g0 = 0;
            this.g1 = 0;
            this.j9 = null;
            this.ka = null;
            this.gx = 0;
            this.kb = null;
            this.kc = null;
            this.jj = null;
            this.jk = null;
            this.gf = 0;
            this.gg = 0;
            this.gh = 0;
            this.gi = 0;
            this.jl = null;
            this.ge = 0;
            this.jm = null;
            this.jn = null;
        }
        get targetAxisRef() {
            return this.j8;
        }
        set targetAxisRef(a) {
            this.j8 = a;
            this.g("TargetAxisRef");
        }
        get useInterpolation() {
            return this.fp;
        }
        set useInterpolation(a) {
            this.fp = a;
            this.g("UseInterpolation");
        }
        get groupingMode() {
            return this.i9;
        }
        set groupingMode(a) {
            this.i9 = a;
            this.g("GroupingMode");
        }
        get actualGroupingMode() {
            return this.i5;
        }
        set actualGroupingMode(a) {
            this.i5 = a;
            this.g("ActualGroupingMode");
        }
        get positionOffsetX() {
            return this.gj;
        }
        set positionOffsetX(a) {
            this.gj = a;
            this.g("PositionOffsetX");
        }
        get positionOffsetY() {
            return this.gk;
        }
        set positionOffsetY(a) {
            this.gk = a;
            this.g("PositionOffsetY");
        }
        get defaultPositionOffsetX() {
            return this.f3;
        }
        set defaultPositionOffsetX(a) {
            this.f3 = a;
            this.g("DefaultPositionOffsetX");
        }
        get defaultPositionOffsetY() {
            return this.f4;
        }
        set defaultPositionOffsetY(a) {
            this.f4 = a;
            this.g("DefaultPositionOffsetY");
        }
        get groupedPositionModeX() {
            return this.i7;
        }
        set groupedPositionModeX(a) {
            this.i7 = a;
            this.g("GroupedPositionModeX");
        }
        get actualGroupedPositionModeX() {
            return this.i3;
        }
        set actualGroupedPositionModeX(a) {
            this.i3 = a;
            this.g("ActualGroupedPositionModeX");
        }
        get groupedPositionModeY() {
            return this.i8;
        }
        set groupedPositionModeY(a) {
            this.i8 = a;
            this.g("GroupedPositionModeY");
        }
        get actualGroupedPositionModeY() {
            return this.i4;
        }
        set actualGroupedPositionModeY(a) {
            this.i4 = a;
            this.g("ActualGroupedPositionModeY");
        }
        get shouldUpdateWhenSeriesDataChanges() {
            return this.fo;
        }
        set shouldUpdateWhenSeriesDataChanges(a) {
            this.fo = a;
            this.g("ShouldUpdateWhenSeriesDataChanges");
        }
        get includedSeries() {
            return this.ff;
        }
        set includedSeries(a) {
            this.ff = a;
            this.g("IncludedSeries");
        }
        get excludedSeries() {
            return this.fc;
        }
        set excludedSeries(a) {
            this.fc = a;
            this.g("ExcludedSeries");
        }
        get includedColumns() {
            return this.fe;
        }
        set includedColumns(a) {
            this.fe = a;
            this.g("IncludedColumns");
        }
        get excludedColumns() {
            return this.fb;
        }
        set excludedColumns(a) {
            this.fb = a;
            this.g("ExcludedColumns");
        }
        get valueFormatAbbreviation() {
            return this.kj;
        }
        set valueFormatAbbreviation(a) {
            this.kj = a;
            this.g("ValueFormatAbbreviation");
        }
        get valueFormatMaxFractions() {
            return this.iz;
        }
        set valueFormatMaxFractions(a) {
            this.iz = a;
            this.g("ValueFormatMaxFractions");
        }
        get valueFormatMinFractions() {
            return this.i0;
        }
        set valueFormatMinFractions(a) {
            this.i0 = a;
            this.g("ValueFormatMinFractions");
        }
        get valueFormatMode() {
            return this.kl;
        }
        set valueFormatMode(a) {
            this.kl = a;
            this.g("ValueFormatMode");
        }
        get valueFormatCulture() {
            return this.kk;
        }
        set valueFormatCulture(a) {
            this.kk = a;
            this.g("ValueFormatCulture");
        }
        get valueFormatUseGrouping() {
            return this.fq;
        }
        set valueFormatUseGrouping(a) {
            this.fq = a;
            this.g("ValueFormatUseGrouping");
        }
        get valueFormatString() {
            return this.km;
        }
        set valueFormatString(a) {
            this.km = a;
            this.g("ValueFormatString");
        }
        get valueFormatSpecifiers() {
            return this.fg;
        }
        set valueFormatSpecifiers(a) {
            this.fg = a;
            this.g("ValueFormatSpecifiers");
        }
        get valueRowMarginBottom() {
            return this.g7;
        }
        set valueRowMarginBottom(a) {
            this.g7 = a;
            this.g("ValueRowMarginBottom");
        }
        get valueRowMarginLeft() {
            return this.g8;
        }
        set valueRowMarginLeft(a) {
            this.g8 = a;
            this.g("ValueRowMarginLeft");
        }
        get valueRowMarginRight() {
            return this.g9;
        }
        set valueRowMarginRight(a) {
            this.g9 = a;
            this.g("ValueRowMarginRight");
        }
        get valueRowMarginTop() {
            return this.ha;
        }
        set valueRowMarginTop(a) {
            this.ha = a;
            this.g("ValueRowMarginTop");
        }
        get valueRowVisible() {
            return this.fr;
        }
        set valueRowVisible(a) {
            this.fr = a;
            this.g("ValueRowVisible");
        }
        get valueTextWhenMissingData() {
            return this.kr;
        }
        set valueTextWhenMissingData(a) {
            this.kr = a;
            this.g("ValueTextWhenMissingData");
        }
        get valueTextUseSeriesColors() {
            return this.fs;
        }
        set valueTextUseSeriesColors(a) {
            this.fs = a;
            this.g("ValueTextUseSeriesColors");
        }
        get valueTextMarginBottom() {
            return this.hc;
        }
        set valueTextMarginBottom(a) {
            this.hc = a;
            this.g("ValueTextMarginBottom");
        }
        get valueTextMarginLeft() {
            return this.hd;
        }
        set valueTextMarginLeft(a) {
            this.hd = a;
            this.g("ValueTextMarginLeft");
        }
        get valueTextMarginRight() {
            return this.he;
        }
        set valueTextMarginRight(a) {
            this.he = a;
            this.g("ValueTextMarginRight");
        }
        get valueTextMarginTop() {
            return this.hf;
        }
        set valueTextMarginTop(a) {
            this.hf = a;
            this.g("ValueTextMarginTop");
        }
        get valueTextColor() {
            return this.kn;
        }
        set valueTextColor(a) {
            this.kn = a;
            this.g("ValueTextColor");
        }
        get valueTextFontFamily() {
            return this.ko;
        }
        set valueTextFontFamily(a) {
            this.ko = a;
            this.g("ValueTextFontFamily");
        }
        get valueTextFontSize() {
            return this.hb;
        }
        set valueTextFontSize(a) {
            this.hb = a;
            this.g("ValueTextFontSize");
        }
        get valueTextFontStyle() {
            return this.kp;
        }
        set valueTextFontStyle(a) {
            this.kp = a;
            this.g("ValueTextFontStyle");
        }
        get valueTextFontWeight() {
            return this.kq;
        }
        set valueTextFontWeight(a) {
            this.kq = a;
            this.g("ValueTextFontWeight");
        }
        get headerFormatString() {
            return this.jc;
        }
        set headerFormatString(a) {
            this.jc = a;
            this.g("HeaderFormatString");
        }
        get headerFormatSpecifiers() {
            return this.fd;
        }
        set headerFormatSpecifiers(a) {
            this.fd = a;
            this.g("HeaderFormatSpecifiers");
        }
        get headerFormatCulture() {
            return this.ja;
        }
        set headerFormatCulture(a) {
            this.ja = a;
            this.g("HeaderFormatCulture");
        }
        get headerFormatDate() {
            return this.jb;
        }
        set headerFormatDate(a) {
            this.jb = a;
            this.g("HeaderFormatDate");
        }
        get headerFormatTime() {
            return this.jd;
        }
        set headerFormatTime(a) {
            this.jd = a;
            this.g("HeaderFormatTime");
        }
        get headerText() {
            return this.je;
        }
        set headerText(a) {
            this.je = a;
            this.g("HeaderText");
        }
        get headerTextColor() {
            return this.jf;
        }
        set headerTextColor(a) {
            this.jf = a;
            this.g("HeaderTextColor");
        }
        get headerTextMarginBottom() {
            return this.ga;
        }
        set headerTextMarginBottom(a) {
            this.ga = a;
            this.g("HeaderTextMarginBottom");
        }
        get headerTextMarginLeft() {
            return this.gb;
        }
        set headerTextMarginLeft(a) {
            this.gb = a;
            this.g("HeaderTextMarginLeft");
        }
        get headerTextMarginRight() {
            return this.gc;
        }
        set headerTextMarginRight(a) {
            this.gc = a;
            this.g("HeaderTextMarginRight");
        }
        get headerTextMarginTop() {
            return this.gd;
        }
        set headerTextMarginTop(a) {
            this.gd = a;
            this.g("HeaderTextMarginTop");
        }
        get headerRowMarginBottom() {
            return this.f5;
        }
        set headerRowMarginBottom(a) {
            this.f5 = a;
            this.g("HeaderRowMarginBottom");
        }
        get headerRowMarginLeft() {
            return this.f6;
        }
        set headerRowMarginLeft(a) {
            this.f6 = a;
            this.g("HeaderRowMarginLeft");
        }
        get headerRowMarginRight() {
            return this.f7;
        }
        set headerRowMarginRight(a) {
            this.f7 = a;
            this.g("HeaderRowMarginRight");
        }
        get headerRowMarginTop() {
            return this.f8;
        }
        set headerRowMarginTop(a) {
            this.f8 = a;
            this.g("HeaderRowMarginTop");
        }
        get headerRowVisible() {
            return this.fn;
        }
        set headerRowVisible(a) {
            this.fn = a;
            this.g("HeaderRowVisible");
        }
        get headerTextFontFamily() {
            return this.jg;
        }
        set headerTextFontFamily(a) {
            this.jg = a;
            this.g("HeaderTextFontFamily");
        }
        get headerTextFontSize() {
            return this.f9;
        }
        set headerTextFontSize(a) {
            this.f9 = a;
            this.g("HeaderTextFontSize");
        }
        get headerTextFontStyle() {
            return this.jh;
        }
        set headerTextFontStyle(a) {
            this.jh = a;
            this.g("HeaderTextFontStyle");
        }
        get headerTextFontWeight() {
            return this.ji;
        }
        set headerTextFontWeight(a) {
            this.ji = a;
            this.g("HeaderTextFontWeight");
        }
        get summaryTitleTextColor() {
            return this.ju;
        }
        set summaryTitleTextColor(a) {
            this.ju = a;
            this.g("SummaryTitleTextColor");
        }
        get summaryTitleTextFontFamily() {
            return this.jv;
        }
        set summaryTitleTextFontFamily(a) {
            this.jv = a;
            this.g("SummaryTitleTextFontFamily");
        }
        get summaryTitleTextFontSize() {
            return this.gq;
        }
        set summaryTitleTextFontSize(a) {
            this.gq = a;
            this.g("SummaryTitleTextFontSize");
        }
        get summaryTitleTextFontStyle() {
            return this.jw;
        }
        set summaryTitleTextFontStyle(a) {
            this.jw = a;
            this.g("SummaryTitleTextFontStyle");
        }
        get summaryTitleTextFontWeight() {
            return this.jx;
        }
        set summaryTitleTextFontWeight(a) {
            this.jx = a;
            this.g("SummaryTitleTextFontWeight");
        }
        get summaryType() {
            return this.jy;
        }
        set summaryType(a) {
            this.jy = a;
            this.g("SummaryType");
        }
        get summaryTitleText() {
            return this.jt;
        }
        set summaryTitleText(a) {
            this.jt = a;
            this.g("SummaryTitleText");
        }
        get summaryTitleTextMarginBottom() {
            return this.gr;
        }
        set summaryTitleTextMarginBottom(a) {
            this.gr = a;
            this.g("SummaryTitleTextMarginBottom");
        }
        get summaryTitleTextMarginLeft() {
            return this.gs;
        }
        set summaryTitleTextMarginLeft(a) {
            this.gs = a;
            this.g("SummaryTitleTextMarginLeft");
        }
        get summaryTitleTextMarginRight() {
            return this.gt;
        }
        set summaryTitleTextMarginRight(a) {
            this.gt = a;
            this.g("SummaryTitleTextMarginRight");
        }
        get summaryTitleTextMarginTop() {
            return this.gu;
        }
        set summaryTitleTextMarginTop(a) {
            this.gu = a;
            this.g("SummaryTitleTextMarginTop");
        }
        get summaryRowMarginBottom() {
            return this.gm;
        }
        set summaryRowMarginBottom(a) {
            this.gm = a;
            this.g("SummaryRowMarginBottom");
        }
        get summaryRowMarginLeft() {
            return this.gn;
        }
        set summaryRowMarginLeft(a) {
            this.gn = a;
            this.g("SummaryRowMarginLeft");
        }
        get summaryRowMarginRight() {
            return this.go;
        }
        set summaryRowMarginRight(a) {
            this.go = a;
            this.g("SummaryRowMarginRight");
        }
        get summaryRowMarginTop() {
            return this.gp;
        }
        set summaryRowMarginTop(a) {
            this.gp = a;
            this.g("SummaryRowMarginTop");
        }
        get summaryValueTextColor() {
            return this.j4;
        }
        set summaryValueTextColor(a) {
            this.j4 = a;
            this.g("SummaryValueTextColor");
        }
        get summaryValueTextFontFamily() {
            return this.j5;
        }
        set summaryValueTextFontFamily(a) {
            this.j5 = a;
            this.g("SummaryValueTextFontFamily");
        }
        get summaryValueTextFontSize() {
            return this.gw;
        }
        set summaryValueTextFontSize(a) {
            this.gw = a;
            this.g("SummaryValueTextFontSize");
        }
        get summaryValueTextFontStyle() {
            return this.j6;
        }
        set summaryValueTextFontStyle(a) {
            this.j6 = a;
            this.g("SummaryValueTextFontStyle");
        }
        get summaryValueTextFontWeight() {
            return this.j7;
        }
        set summaryValueTextFontWeight(a) {
            this.j7 = a;
            this.g("SummaryValueTextFontWeight");
        }
        get summaryLabelText() {
            return this.jo;
        }
        set summaryLabelText(a) {
            this.jo = a;
            this.g("SummaryLabelText");
        }
        get summaryLabelTextColor() {
            return this.jp;
        }
        set summaryLabelTextColor(a) {
            this.jp = a;
            this.g("SummaryLabelTextColor");
        }
        get summaryLabelTextFontFamily() {
            return this.jq;
        }
        set summaryLabelTextFontFamily(a) {
            this.jq = a;
            this.g("SummaryLabelTextFontFamily");
        }
        get summaryLabelTextFontSize() {
            return this.gl;
        }
        set summaryLabelTextFontSize(a) {
            this.gl = a;
            this.g("SummaryLabelTextFontSize");
        }
        get summaryLabelTextFontStyle() {
            return this.jr;
        }
        set summaryLabelTextFontStyle(a) {
            this.jr = a;
            this.g("SummaryLabelTextFontStyle");
        }
        get summaryLabelTextFontWeight() {
            return this.js;
        }
        set summaryLabelTextFontWeight(a) {
            this.js = a;
            this.g("SummaryLabelTextFontWeight");
        }
        get summaryUnitsText() {
            return this.jz;
        }
        set summaryUnitsText(a) {
            this.jz = a;
            this.g("SummaryUnitsText");
        }
        get summaryUnitsTextColor() {
            return this.j0;
        }
        set summaryUnitsTextColor(a) {
            this.j0 = a;
            this.g("SummaryUnitsTextColor");
        }
        get summaryUnitsTextFontFamily() {
            return this.j1;
        }
        set summaryUnitsTextFontFamily(a) {
            this.j1 = a;
            this.g("SummaryUnitsTextFontFamily");
        }
        get summaryUnitsTextFontSize() {
            return this.gv;
        }
        set summaryUnitsTextFontSize(a) {
            this.gv = a;
            this.g("SummaryUnitsTextFontSize");
        }
        get summaryUnitsTextFontStyle() {
            return this.j2;
        }
        set summaryUnitsTextFontStyle(a) {
            this.j2 = a;
            this.g("SummaryUnitsTextFontStyle");
        }
        get summaryUnitsTextFontWeight() {
            return this.j3;
        }
        set summaryUnitsTextFontWeight(a) {
            this.j3 = a;
            this.g("SummaryUnitsTextFontWeight");
        }
        get badgeMarginBottom() {
            return this.fz;
        }
        set badgeMarginBottom(a) {
            this.fz = a;
            this.g("BadgeMarginBottom");
        }
        get badgeMarginLeft() {
            return this.f0;
        }
        set badgeMarginLeft(a) {
            this.f0 = a;
            this.g("BadgeMarginLeft");
        }
        get badgeMarginRight() {
            return this.f1;
        }
        set badgeMarginRight(a) {
            this.f1 = a;
            this.g("BadgeMarginRight");
        }
        get badgeMarginTop() {
            return this.f2;
        }
        set badgeMarginTop(a) {
            this.f2 = a;
            this.g("BadgeMarginTop");
        }
        get badgeShape() {
            return this.i6;
        }
        set badgeShape(a) {
            this.i6 = a;
            this.g("BadgeShape");
        }
        get unitsDisplayMode() {
            return this.kd;
        }
        set unitsDisplayMode(a) {
            this.kd = a;
            this.g("UnitsDisplayMode");
        }
        get unitsText() {
            return this.ke;
        }
        set unitsText(a) {
            this.ke = a;
            this.g("UnitsText");
        }
        get unitsTextColor() {
            return this.kf;
        }
        set unitsTextColor(a) {
            this.kf = a;
            this.g("UnitsTextColor");
        }
        get unitsTextMarginBottom() {
            return this.g3;
        }
        set unitsTextMarginBottom(a) {
            this.g3 = a;
            this.g("UnitsTextMarginBottom");
        }
        get unitsTextMarginLeft() {
            return this.g4;
        }
        set unitsTextMarginLeft(a) {
            this.g4 = a;
            this.g("UnitsTextMarginLeft");
        }
        get unitsTextMarginRight() {
            return this.g5;
        }
        set unitsTextMarginRight(a) {
            this.g5 = a;
            this.g("UnitsTextMarginRight");
        }
        get unitsTextMarginTop() {
            return this.g6;
        }
        set unitsTextMarginTop(a) {
            this.g6 = a;
            this.g("UnitsTextMarginTop");
        }
        get unitsTextFontFamily() {
            return this.kg;
        }
        set unitsTextFontFamily(a) {
            this.kg = a;
            this.g("UnitsTextFontFamily");
        }
        get unitsTextFontSize() {
            return this.g2;
        }
        set unitsTextFontSize(a) {
            this.g2 = a;
            this.g("UnitsTextFontSize");
        }
        get unitsTextFontStyle() {
            return this.kh;
        }
        set unitsTextFontStyle(a) {
            this.kh = a;
            this.g("UnitsTextFontStyle");
        }
        get unitsTextFontWeight() {
            return this.ki;
        }
        set unitsTextFontWeight(a) {
            this.ki = a;
            this.g("UnitsTextFontWeight");
        }
        get titleTextMarginBottom() {
            return this.gy;
        }
        set titleTextMarginBottom(a) {
            this.gy = a;
            this.g("TitleTextMarginBottom");
        }
        get titleTextMarginLeft() {
            return this.gz;
        }
        set titleTextMarginLeft(a) {
            this.gz = a;
            this.g("TitleTextMarginLeft");
        }
        get titleTextMarginRight() {
            return this.g0;
        }
        set titleTextMarginRight(a) {
            this.g0 = a;
            this.g("TitleTextMarginRight");
        }
        get titleTextMarginTop() {
            return this.g1;
        }
        set titleTextMarginTop(a) {
            this.g1 = a;
            this.g("TitleTextMarginTop");
        }
        get titleTextColor() {
            return this.j9;
        }
        set titleTextColor(a) {
            this.j9 = a;
            this.g("TitleTextColor");
        }
        get titleTextFontFamily() {
            return this.ka;
        }
        set titleTextFontFamily(a) {
            this.ka = a;
            this.g("TitleTextFontFamily");
        }
        get titleTextFontSize() {
            return this.gx;
        }
        set titleTextFontSize(a) {
            this.gx = a;
            this.g("TitleTextFontSize");
        }
        get titleTextFontStyle() {
            return this.kb;
        }
        set titleTextFontStyle(a) {
            this.kb = a;
            this.g("TitleTextFontStyle");
        }
        get titleTextFontWeight() {
            return this.kc;
        }
        set titleTextFontWeight(a) {
            this.kc = a;
            this.g("TitleTextFontWeight");
        }
        get labelDisplayMode() {
            return this.jj;
        }
        set labelDisplayMode(a) {
            this.jj = a;
            this.g("LabelDisplayMode");
        }
        get labelTextColor() {
            return this.jk;
        }
        set labelTextColor(a) {
            this.jk = a;
            this.g("LabelTextColor");
        }
        get labelTextMarginBottom() {
            return this.gf;
        }
        set labelTextMarginBottom(a) {
            this.gf = a;
            this.g("LabelTextMarginBottom");
        }
        get labelTextMarginLeft() {
            return this.gg;
        }
        set labelTextMarginLeft(a) {
            this.gg = a;
            this.g("LabelTextMarginLeft");
        }
        get labelTextMarginRight() {
            return this.gh;
        }
        set labelTextMarginRight(a) {
            this.gh = a;
            this.g("LabelTextMarginRight");
        }
        get labelTextMarginTop() {
            return this.gi;
        }
        set labelTextMarginTop(a) {
            this.gi = a;
            this.g("LabelTextMarginTop");
        }
        get labelTextFontFamily() {
            return this.jl;
        }
        set labelTextFontFamily(a) {
            this.jl = a;
            this.g("LabelTextFontFamily");
        }
        get labelTextFontSize() {
            return this.ge;
        }
        set labelTextFontSize(a) {
            this.ge = a;
            this.g("LabelTextFontSize");
        }
        get labelTextFontStyle() {
            return this.jm;
        }
        set labelTextFontStyle(a) {
            this.jm = a;
            this.g("LabelTextFontStyle");
        }
        get labelTextFontWeight() {
            return this.jn;
        }
        set labelTextFontWeight(a) {
            this.jn = a;
            this.g("LabelTextFontWeight");
        }
    }
    DataToolTipLayerDescription.$t = /*@__PURE__*/ markType(DataToolTipLayerDescription, 'DataToolTipLayerDescription', AnnotationLayerDescription.$);
    return DataToolTipLayerDescription;
})();
